#include <math.h>
#include <iostream>
#include <conio.h>
#include <vector>
#include "histogram.h"
#include "text.h"
#include "svg.h"
#include "histogram_internal.h"
#include <curl/curl.h>

using namespace std;

struct Input {
    vector<double> numbers;
    size_t bin_count{};
    size_t interval;
};

Input
input_data(istream &tin, bool prompt){
    if (prompt)
        cerr << "Input numbers count: ";
    size_t number_count;
    tin >> number_count;
    Input in;
    in.numbers.resize(number_count);
    if (prompt)
        cerr << "Input numbers: ";
    for (size_t i = 0; i < number_count; i++) {
        tin >> in.numbers[i];
    }
    if (prompt)
        cerr << "Input bin count: ";
    tin >> in.bin_count;
    return in;
}


int main() {
    curl_global_init(CURL_GLOBAL_ALL);
    Input in = input_data(cin, false);
    auto bins = make_histogram(in.numbers, in.bin_count);
    show_histogram_svg(bins);
    return 0;
}

